Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		srtp
#Epoch:		0
Version:	1.4.2
Release:	1
License:	BSD
URL:		http://srtp.sourceforge.net/srtp.html
Group:		System/Libraries
Summary:	Open-source implementation of the Secure Real-time Transport Protocol (SRTP)
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tgz

# Patches:
Patch0:		srtp-1.4.2-shared.patch

# Requires:

# BuildRequires:

%description
Open-source implementation of the Secure Real-time Transport Protocol (SRTP)

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}
%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--disable-debug \
--enable-pic \
--enable-syslog

make %{?_smp_mflags}
make runtest

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libsrtp.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/srtp
%{_libdir}/libsrtp.so
%{_libdir}/libsrtp.a

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Dec 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.2-1
- initial CCux package release
